This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1476564 - Review Request: deepin-dbus-generator - Convert dbus interfaces to go-lang or qml wrapper code
Review Request: deepin-dbus-generator - Convert dbus interfaces to go-lang or...
Status: POST
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DeepinDEPackageReview 1476565
  Show dependency treegraph
 
Reported: 2017-07-30 07:34 EDT by sensor.wen
Modified: 2017-08-24 14:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description sensor.wen 2017-07-30 07:34:14 EDT
SPEC: https://raw.githubusercontent.com/FZUG/repo/master/rpms/deepin_project/deepin-dbus-generator.spec

Description: Convert dbus interfaces to go-lang or qml wrapper code

Fedora Account System Username: mosquito
Comment 3 Robert-André Mauchin 2017-08-24 11:48:28 EDT
Hello,


 - let's rearrange these BR:

BuildRequires:  gcc-go
BuildRequires:  golang(gopkg.in/check.v1)
BuildRequires:  golang(pkg.deepin.io/lib)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(Qt5)
BuildRequires:  pkgconfig(Qt5Qml)

 - the License is GPLv3+, not GPLv3

License:        GPLv3+

 - the Group: tag is not needed in Fedora, please remove it.

 - Please just use %global repo go-dbus-generator, no need for project.

 - Since this package depends on Go packages only available on certains arches, you should probably add the same ExclusiveArch as go:

ExclusiveArch:  %{?go_arches:%{go_arches}}%{!?go_arches:%{ix86} x86_64 aarch64 %{arm}}


Otherwise you'll get build errors in Koji.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 20 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/deepin-dbus-generator/review-deepin-dbus-
     generator/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in deepin-
     dbus-generator-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: deepin-dbus-generator-0.6.6-1.fc26.x86_64.rpm
          deepin-dbus-generator-debuginfo-0.6.6-1.fc26.x86_64.rpm
          deepin-dbus-generator-0.6.6-1.fc26.src.rpm
deepin-dbus-generator.x86_64: W: spelling-error Summary(en_US) lang -> Lang, lag, slang
deepin-dbus-generator.x86_64: W: spelling-error Summary(en_US) qml -> ml, q ml, QM
deepin-dbus-generator.x86_64: W: spelling-error %description -l en_US dlib -> lib, glib, d lib
deepin-dbus-generator.x86_64: W: incoherent-version-in-changelog 0.6.6-1.gitace6ac0 ['0.6.6-1.fc26', '0.6.6-1']
deepin-dbus-generator.x86_64: W: no-manual-page-for-binary dbus-generator
deepin-dbus-generator.src: W: spelling-error Summary(en_US) lang -> Lang, lag, slang
deepin-dbus-generator.src: W: spelling-error Summary(en_US) qml -> ml, q ml, QM
deepin-dbus-generator.src: W: spelling-error %description -l en_US dlib -> lib, glib, d lib
3 packages and 0 specfiles checked; 0 errors, 8 warnings.
Comment 4 sensor.wen 2017-08-24 13:05:15 EDT
Diff:  https://github.com/FZUG/repo/commit/8a3e62571acfaa0b1889abc4e07185995ce0746d

Fixed, thanks.
Comment 5 Robert-André Mauchin 2017-08-24 14:04:41 EDT
All good, package accepted.
Comment 6 Gwyn Ciesla 2017-08-24 14:20:35 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/deepin-dbus-generator

Note You need to log in before you can comment on or make changes to this bug.